<template>
       
<div class="main">
    <div class="container">
        <router-view></router-view>
    </div>
</div> 
</template>

<style>
@media (min-width: 700px) and (max-width: 4000px) {
    html{
        font-size: 10px; 
    }
    body{
        padding-top: 7rem;
    }
    .container {
        width: 400px;
    }
}

@media (min-width: 100px) and (max-width: 699px) {
    html{
        font-size: 11px; 
    }
 
    body{
        padding-top: 7rem;
    }
    .container {
        width: 95%;
    }
}

body {
    background: #e2e2e2;
    width: 100%;
    margin: 0;
}

.container {
    margin: auto;
    display: flex;
    flex-flow: column wrap;
}

.form{
    display: flex;
    flex-flow: column wrap;
}

label{
    font-size: 2rem;
}

.title {
    text-align: center;
}

h1 {
    font-size: 3rem;
    margin-top: 0;
    margin-bottom: 1rem;

}
.userSearch{
    font-size: 2rem;
}
.userSearch h4{
    margin-bottom: 0;
}
.userSearch table{
    margin-left: 0.5rem;
}
h3 {
    margin-bottom: 0;
    font-size: 1.5rem;
    text-align: center;
    margin: 0.5rem 0;
    font-weight:normal;
}
.car h3{
    text-align: left;
}
.car .car-title{
    text-align: center;
    color:red;
}

input {
    height: 4rem; 
    border-radius: 120px;
    margin-bottom: 0.5rem;
    font-size: 2rem;
    padding-left: 1.5rem;
    padding-right: 1rem;
    margin-top: 1rem;
}

.registration .btn-login,
.login .btn-reg {
    background-color: #483D8B;
    color: #fff;
    width: 100%;
}
.btn-out {
    background-color: #483D8B;
    color: #fff;
    width: 100%;
}
.login .btn-login,
.registration .btn-reg,
.btn-find {
    
    margin-top: 0.5rem;
    background: #228B22;
    width: 100%;
    color: #fff;

}
.btn-skip{
    margin-top: 0.5rem;
    background: #A9A9A9;
    width: 100%;
    color: #fff;
}

/*--------------------     PageCarFind   -------------------------*/
.poisk .r1,
.poisk .r2 {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    height: 2rem;
}

.radio {
    height: 2rem;
    cursor: pointer;
}
.rad{
    padding-bottom: 1rem;
}

.poisk .data label {
    font-size: 2rem;
    cursor: pointer;
}

.radio {
    position: absolute;
    z-index: -1;
    opacity: 0;
    margin: 10px 0 0 7px;
}

    .radio + label {
        position: relative;
        padding: 0 0 0 35px;
        cursor: pointer;
    }

        .radio + label:before {
            content: '';
            position: absolute;
            top: -3px;
            left: 0;
            width: 22px;
            height: 22px;
            margin-top: 0.7rem;
            border: 1px solid #CDD1DA;
            border-radius: 50%;
            background: #FFF;
        }

        .radio + label:after {
            content: '';
            position: absolute;
            top: 1px;
            left: 4px;
            width: 16px;
            height: 16px;
            margin-top: 0.7rem;
            border-radius: 50%;
            background: #9FD468;
            box-shadow: inset 0 1px 1px rgba(0,0,0,.5);
            opacity: 0;
            transition: .2s;
        }

    .radio:checked + label:after {
        opacity: 1;
    }

    .radio:focus + label:before {
        box-shadow: 0 0 0 3px rgba(255,255,0,.7);
    }

/*--------------   Cars  -----------------------*/
/*--------------    PageCarsInfo   ---------------------*/
.notFound h3{
    text-align:center;
}
li a{
    color: black; 
    text-decoration: none;
}
li{
    padding-bottom: 0.5rem;
}
ul {
    margin-top: 1rem;
}
h4{
    margin-top: 1rem;
}

</style>

